#!/bin/bash

# Tools repository (this)
THIS="jprojects-scripts"

# Libraries and EJBs
LIBRARIES="jcore jcoreee \
	jcore-logger-lib jcore-logger-ejb \
	jcountry-core jcountry-lib \
	jphone-core jphone-lib \
	jcontacts-core jcontacts-business-core jcontacts-lib \
	juser-core juser-lib \
	juser-activity-core juser-activity-lib \
	jletter-core jletter-lib \
	jaddressbook-core jaddressbook-lib \
	jmailer-ee \
	jcore-swing \
	jcustomer-core jcustomer-lib \
	jproduct-core jproduct-lib \
	jshop-core jshop-ee-lib \
	jshop-receipt-lib"

# Applications and their special libs/EJBs
APPLICATIONS="pizzaservice-core pizzaservice-lib pizzaservice-mailer pizzaservice-ejb pizzaservice-swing \
	jjobs-core jjobs-lib jjobs-mailer jjobs-ejb jjobs-war jjobs \
	jfinancials-core jfinancials-lib jfinancials-mailer jfinancials-ejb jfinancials-war jfinancials
	addressbook-core addressbook-lib addressbook-mailer addressbook-ejb addressbook-war addressbook addressbook-uml"

# Company-specific projects
COMPANY_APPS="jrecruiter-core jrecruiter-lib jrecruiter-mailer jrecruiter-ejb jrecruiter-war jrecruiter"

# Broken (needs fixing)
BROKEN="addressbook-swing jfinancials-swing pizzaservice-war pizzaservice"

# Compile list
ALL_PROJECTS="${THIS} ${LIBRARIES} ${APPLICATIONS} ${COMPANY_APPS} ${BROKEN}"

# Own home directory
declare -r JPROJECTS_HOME="${PWD}"

# ant binary
ANT_BIN=$(which ant 2>/dev/null)

# Check binary
if [ -z "${ANT_BIN}" ]
then
	echo "$0: Cannot find ANT binary."
	exit 1
fi

# Test on .git availability"
LIST=""
for project in ${ALL_PROJECTS}; do
	if [ ! -d "${project}" ]
	then
		echo "$0: Project '${project}' not created."
	elif [ ! -f "${project}/.git/config" ]
	then
		echo "$0: Project '${project}' is no GIT project."
		exit 1
	fi

	# Add it as available
	LIST="${LIST} ${project}"
done
