#!/bin/bash

. ./.jprojects.sh || exit 255

if [ -z "$1" ]
then
	echo "Usage $0 <file>"
	exit 1
fi

for project in ${LIST}; do
	if [ "${project}" = "jprojects-scripts" ]
	then
		echo "$0: Skipping jprojects-scripts ..."
		continue
	elif [ ! -d "${JPROJECTS_HOME}/${project}" ]
	then
		echo "$0: Project '${project}' does not exist."
		continue
	fi

	cd "${JPROJECTS_HOME}/${project}" || exit 255

	if [ -d "$1" ]
	then
		git rm -rf "$1"
	elif [ -f "$1" ]
	then
		git rm -f "$1"
	else
		echo "$0: File/directory '$1' does not exist in '${project}."
	fi
done

echo "$0: All done."
exit 0
